/********************************************************************
*	Orphans.c
*
*	Stubs and other misc stuff for the main library.
*
*   Copyright (c) 1995, Willows Software Inc.  All rights reserved.
********************************************************************/

static char *Orphans_c =  "IDENT:  @(#)Orphans.c	1.1 1/14/96 17:51:29";

#include <stdio.h>

#define NOAPIPROTOS
#include "windows.h"

/* Switch to turn off temporary implementations */
#define		COMMPORTSTUBS			

char **environ;

#undef exit

void Exit(int)
{
	ExitToShell();
}

int qd;

/*************************************************/
void *popen(char *command, char *type)						{	return (NULL); }
int pclose(void *stream) 												{ return(0); /* STUB */ }
char *tempnam (char *dir, char *pfx) 							{	return (NULL); }


void *dlopen(int options)
{
	return(NULL);
}








/*************************************************
* Temporary Comm port stubs
*************************************************/
#ifdef COMMPORTSTUBS
int     WINAPI BuildCommDCB(LPCSTR, DCB FAR*)			{return(0);/* STUB	 */}
int     WINAPI OpenComm(LPCSTR, UINT, UINT)				{return(0);/* STUB	 */}
int     WINAPI CloseComm(int)										{return(0);/* STUB	 */}

int     WINAPI ReadComm(int, void FAR*, int)				{return(0);/* STUB	 */}
int     WINAPI WriteComm(int, const void FAR*, int)		{return(0);/* STUB	 */}
int     WINAPI UngetCommChar(int, char)						{return(0);/* STUB	 */}
int     WINAPI FlushComm(int, int)									{return(0);/* STUB	 */}
int     WINAPI TransmitCommChar(int, char)					{return(0);/* STUB	 */}

int     WINAPI SetCommState(const DCB FAR*)				{return(0);/* STUB	 */}
int     WINAPI GetCommState(int, DCB FAR*)					{return(0);/* STUB	 */}
int     WINAPI GetCommError(int, COMSTAT FAR* )		{return(0);/* STUB	 */}

int     WINAPI SetCommBreak(int)									{return(0);/* STUB	 */}
int     WINAPI ClearCommBreak(int)								{return(0);/* STUB	 */}

UINT FAR* WINAPI SetCommEventMask(int, UINT)			{return(0);/* STUB	 */}
UINT    WINAPI GetCommEventMask(int, int)					{return(0);/* STUB	 */}

LONG    WINAPI EscapeCommFunction(int, int)				{return(0);/* STUB	 */}
BOOL    WINAPI EnableCommNotification(int, HWND, int, int) {return(FALSE);/* STUB	 */}

#endif		/* COMMPORTSTUBS */


